import axios from '@/utils/axios'

export default {
    /**
     * 委托方列表
     */
    getClientList(params) {
        return axios.get('/v2/client/list', { params });
    },
    /**
     * 新增委托方
     */
    addClient(data) {
        return axios.post('/v2/client/add', data)
    },
    /**
   * 客户列表
   */
  getAdminClientList(params) {
    return axios.post('/permission/api/client/queryPageList',  params )
  },
/**
   * 客户列表不分页
   */
  getAllClientList(params) {
    return axios.get('/permission/api/client/queryList',  {params} )
  },
  /**
   * 编辑客户
   */
  editAdminClient(data) {
    return axios.post('/permission/api/client/edit', data)
  },
  /**
   * 新增客户
   */
  addAdminClient(data) {
    return axios.post('/permission/api/client/add', data)
  },
  /**
   * 删除客户
   */
  deleteAdminClient(params) {
    return axios.get('/permission/api/client/delete',{params})
    // return axios({
    //   url: '/permission/api/client/delete',
    //   method: 'get',
    //   params: {params}
    // })
  },
}
